- Create Pattern
- Get Attribute Pattern
- Get Pattern
- Get Patterns
- Update Pattern
- Delete Pattern
POST /api/v1/metrics/patternCreate a new patternResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/metrics/pattern/attribute-patternGet patterns by attribute_id or by term (which fetches patterns for all linked assets)Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/attribute-pattern" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get patterns by attribute_id or by term (which fetches patterns for all linked assets)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/pattern/{patternId}Get a pattern by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Signed integer".string
Example:
"^[+-]?[0-9]+$".string
Example:
"POSIX".string
Example:
"52908f03-eefa-4564-9723-3a03d956695b".string
Example:
"a2e3361e-ddef-4933-ba4d-8fa3a7ccd7de".boolean
Example:
true.string
Example:
"811589b0-7ad3-46d2-b29e-f8e6422b1f9a".string
Example:
"2026-09-16T14:43:02.553790Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a pattern by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Signed integer",
"pattern": "^[+-]?[0-9]+$",
"type": "POSIX",
"attribute_id": "52908f03-eefa-4564-9723-3a03d956695b",
"system_pattern_id": "a2e3361e-ddef-4933-ba4d-8fa3a7ccd7de",
"is_valid": true,
"id": "811589b0-7ad3-46d2-b29e-f8e6422b1f9a",
"created_at": "2026-09-16T14:43:02.553790Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5"
}
}
POST /api/v1/metrics/pattern/listGet patterns with optional filtering using prizm-common filtersRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Signed integer".string
Example:
"^[+-]?[0-9]+$".string
Example:
"POSIX".string
Example:
"52908f03-eefa-4564-9723-3a03d956695b".string
Example:
"a2e3361e-ddef-4933-ba4d-8fa3a7ccd7de".boolean
Example:
true.string
Example:
"811589b0-7ad3-46d2-b29e-f8e6422b1f9a".string
Example:
"2026-09-16T14:43:02.553790Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".integer
Example:
23.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get patterns with optional filtering using prizm-common filters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Signed integer",
"pattern": "^[+-]?[0-9]+$",
"type": "POSIX",
"attribute_id": "52908f03-eefa-4564-9723-3a03d956695b",
"system_pattern_id": "a2e3361e-ddef-4933-ba4d-8fa3a7ccd7de",
"is_valid": true,
"id": "811589b0-7ad3-46d2-b29e-f8e6422b1f9a",
"created_at": "2026-09-16T14:43:02.553790Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5"
}
],
"count": 23
}
}
PUT /api/v1/metrics/pattern/{patternId}Update a patternPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/pattern/{patternId}Delete a patternPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}